org.kohsuke.stapler

## Class AptCompiler

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.codehaus.plexus.compiler.AbstractCompiler
    - - org.codehaus.plexus.compiler.javac.JavacCompiler
      - - org.kohsuke.stapler.AptCompiler

All Implemented Interfaces:
  org.codehaus.plexus.compiler.Compiler, org.codehaus.plexus.logging.LogEnabled

    public class AptCompiler
    extends org.codehaus.plexus.compiler.javac.JavacCompiler

`Compiler` for APT.

In Maven, `Compiler` handles the actual compiler invocation.

Author:
  Kohsuke Kawaguchi

### Field Summary

### Fields inherited from class org.codehaus.plexus.compiler.AbstractCompiler

`EOL, PS`

### Fields inherited from interface org.codehaus.plexus.compiler.Compiler

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AptCompiler()`

### Method Summary

Methods
`List` `compile(org.codehaus.plexus.compiler.CompilerConfiguration config)`
`protected List` `compileInProcess(String[] args)` Compile the java sources in the current JVM, without calling an external executable, using `com.sun.tools.javac.Main` class
`protected List` `compileOutOfProcess(org.codehaus.plexus.compiler.CompilerConfiguration config, String executable, String[] args)`

### Methods inherited from class org.codehaus.plexus.compiler.javac.JavacCompiler

`buildCompilerArguments, createCommandLine, parseModernStream`

### Methods inherited from class org.codehaus.plexus.compiler.AbstractCompiler

`canUpdateTarget, getCompilerOutputStyle, getInputFileEnding, getOutputFile, getOutputFileEnding, getPathString, getSourceFiles, getSourceFilesForSourceRoot, makeClassName, toStringArray`

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AptCompiler

    public AptCompiler()

### Method Detail

#### compile

    public List compile(org.codehaus.plexus.compiler.CompilerConfiguration config)
                 throws org.codehaus.plexus.compiler.CompilerException

Specified by:
  `compile` in interface `org.codehaus.plexus.compiler.Compiler`
Overrides:
  `compile` in class `org.codehaus.plexus.compiler.javac.JavacCompiler`
Throws:
  `org.codehaus.plexus.compiler.CompilerException`

#### compileInProcess

    protected List compileInProcess(String[] args)
                             throws org.codehaus.plexus.compiler.CompilerException

Compile the java sources in the current JVM, without calling an external executable, using `com.sun.tools.javac.Main` class

Parameters:
  `args` - arguments for the compiler as they would be used in the command line javac
Returns:
  List of CompilerError objects with the errors encountered.
Throws:
  `org.codehaus.plexus.compiler.CompilerException`

#### compileOutOfProcess

    protected List compileOutOfProcess(org.codehaus.plexus.compiler.CompilerConfiguration config,
                           String executable,
                           String[] args)
                                throws org.codehaus.plexus.compiler.CompilerException

Throws:
  `org.codehaus.plexus.compiler.CompilerException`